# Running reg-app in a Docker environment

A docker image is provided to run a demo version of the reg-app. It can be used as a base to configure and run the reg-app, depending on your needs.

```sh
mkdir regapp-docker
cd regapp-docker
wget 'https://git.scc.kit.edu/reg-app/regapp-docker/-/raw/main/docker-compose.yml'
docker-compose up
```

This docker configuration exposes TCP Port 8080 and 9990. On Port 9990 you can reach the wildfly administration console. It is protected with standard credentials. Please change these credentials:

```sh
docker ps
docker exec -it <container-id-from-docker-ps> /bin/bash
/opt/jboss/wildfly/bin/add-user.sh -u admin -p <thenewpassword>
```

Next, change the reg-app admin password. Visit `http://localhost:8080/admin/user/list-admin-users.xhtml` and choose user 'admin'. Click '+' on the 'Password' panel and set a new password. Choose a hash algorithm if you like.

You should have a running environment now to explore and test. If you want to further expose the reg-app, it is recommended to do so via a reverse proxy.
